<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #nota {
            background-color: unset;
            margin: 10px auto;
            font-size: 6em;
            color: white;
            width: 150px;
            height: 150px;
        }

        button {
            background-color: unset;
            border-radius: 20px;
            padding: 10px 30px;
            margin: 20px;
        }
    </style>

</head>

<body>
    <div class="container text-center">
        <p>Programa que lee 3 notas y calcula una media. La media aparece en un div cuyo color depende de la nota media.
        </p>
        <div>
            <p>Nota 1: <input type="text" id="nota1"></p>
        </div>
        <div>
            <p>Nota 2: <input type="text" id="nota2"></p>
        </div>
        <div>
            <p>Nota 3: <input type="text" id="nota3"></p>
        </div>
        <button>Calcular Media</button>
        <div id="nota"></div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('button').click(function () {
            let n1 = parseFloat($('#nota1').val());
            let n2 = parseFloat($('#nota2').val());
            let n3 = parseFloat($('#nota3').val());
            let media = (n1 + n2 + n3) / 3;

            if (media >= 5) {
                $('#nota').css({ "background-color": "green" });
            } else {
                $('#nota').css({ "background-color": "red" });
            }

            $('#nota').html(parseInt(media));
        });
    </script>
</body>

</html>